## LassoDstModify LassoDstModify — <dst:Modify> |

## Functions

LassoDstModify * | lasso_dst_modify_new ()

## Types and Values

struct | LassoDstModify

## Description

Figure 120. Schema fragment for dst:Modify

    <xs:element name="Modify" type="ModifyType"/>
    <xs:complexType name="ModifyType">
        <xs:sequence>
            <xs:group ref="ResourceIDGroup" minOccurs="0"/>
            <xs:element name="Modification" maxOccurs="unbounded">
                <xs:complexType>
                    <xs:sequence>
                        <xs:element name="Select" type="SelectType"/>
                        <xs:element name="NewData" minOccurs="0">
                            <xs:complexType>
                                <xs:sequence>
                                    <xs:any minOccurs="0" maxOccurs="unbounded"/>
                                </xs:sequence>
                            </xs:complexType>
                        </xs:element>
                    </xs:sequence>
                    <xs:attribute name="id" type="xs:ID"/>
                    <xs:attribute name="notChangedSince" type="xs:dateTime"/>
                    <xs:attribute name="overrideAllowed" type="xs:boolean" default="0"/>
                </xs:complexType>
            </xs:element>
            <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID"/>
        <xs:attribute name="itemID" type="IDType"/>
    </xs:complexType>

## Functions

### lasso_dst_modify_new ()

    LassoDstModify *
    lasso_dst_modify_new ();

## Types and Values

### struct LassoDstModify

    struct LassoDstModify {
    	LassoNode parent;

    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;
    	GList *Modification; /* of LassoNode */
    	GList *Extension; /* of xmlNode* */

    	char *id;
    	char *itemID;
    };